#ifndef _KLAPP_LIST_H_
#define _KLAPP_LIST_H_
#include <u/libu.h>

struct list_s;
typedef struct list_s list_t;

int list_create(list_t **plist);
int list_free(list_t *list);
int list_add(list_t *list, void *ptr);
int list_del(list_t *list, void *ptr);
size_t list_count(list_t *list);
void* list_get_n(list_t *list, size_t n);

#endif
